# Generated by rust2rpm 27
%bcond_without check

%global crate asahi-btsync

Name:           rust-asahi-btsync
Version:        0.2.4
Release:        %autorelease
Summary:        Tool to sync Bluetooth pairing keys with macos on ARM Macs

License:        MIT
URL:            https://crates.io/crates/asahi-btsync
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
Patch:          asahi-btsync-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  systemd-rpm-macros

%global _description %{expand:
A tool to sync Bluetooth pairing keys with macos on ARM Macs.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
# Zlib
License:        MIT AND Zlib AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND Unicode-DFS-2016
# LICENSE.dependencies contains a full license breakdown
Recommends:     bluez

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%{_bindir}/asahi-btsync
%{_unitdir}/asahi-btsync.service
%{_udevrulesdir}/96-asahi-btsync.rules

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -p -m 0644 -D etc/systemd/system/asahi-btsync.service %{buildroot}%{_unitdir}/asahi-btsync.service
install -p -m 0644 -D etc/udev/rules.d/96-asahi-btsync.rules %{buildroot}%{_udevrulesdir}/96-asahi-btsync.rules

%if %{with check}
%check
%cargo_test
%endif

%post -n %{crate}
%systemd_post asahi-btsync.service

%preun -n %{crate}
%systemd_preun asahi-btsync.service

%postun -n %{crate}
%systemd_postun_with_restart asahi-btsync.service

%changelog
%autochangelog
